com.sun.java.xml.ns.javaee

## Class DataSourceType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.DataSourceType

-     public class DataSourceType
      extends Object

  Configuration of a DataSource.

  Java-Klasse für data-sourceType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="data-sourceType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="description" type="{http://java.sun.com/xml/ns/javaee}descriptionType" minOccurs="0"/>
               <element name="name" type="{http://java.sun.com/xml/ns/javaee}jndi-nameType"/>
               <element name="class-name" type="{http://java.sun.com/xml/ns/javaee}fully-qualified-classType" minOccurs="0"/>
               <element name="server-name" type="{http://java.sun.com/xml/ns/javaee}string" minOccurs="0"/>
               <element name="port-number" type="{http://java.sun.com/xml/ns/javaee}xsdIntegerType" minOccurs="0"/>
               <element name="database-name" type="{http://java.sun.com/xml/ns/javaee}string" minOccurs="0"/>
               <element name="url" type="{http://java.sun.com/xml/ns/javaee}jdbc-urlType" minOccurs="0"/>
               <element name="user" type="{http://java.sun.com/xml/ns/javaee}string" minOccurs="0"/>
               <element name="password" type="{http://java.sun.com/xml/ns/javaee}string" minOccurs="0"/>
               <element name="property" type="{http://java.sun.com/xml/ns/javaee}propertyType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="login-timeout" type="{http://java.sun.com/xml/ns/javaee}xsdIntegerType" minOccurs="0"/>
               <element name="transactional" type="{http://java.sun.com/xml/ns/javaee}xsdBooleanType" minOccurs="0"/>
               <element name="isolation-level" type="{http://java.sun.com/xml/ns/javaee}isolation-levelType" minOccurs="0"/>
               <element name="initial-pool-size" type="{http://java.sun.com/xml/ns/javaee}xsdIntegerType" minOccurs="0"/>
               <element name="max-pool-size" type="{http://java.sun.com/xml/ns/javaee}xsdIntegerType" minOccurs="0"/>
               <element name="min-pool-size" type="{http://java.sun.com/xml/ns/javaee}xsdIntegerType" minOccurs="0"/>
               <element name="max-idle-time" type="{http://java.sun.com/xml/ns/javaee}xsdIntegerType" minOccurs="0"/>
               <element name="max-statements" type="{http://java.sun.com/xml/ns/javaee}xsdIntegerType" minOccurs="0"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FullyQualifiedClassType` | `className`
    `protected String` | `databaseName`
    `protected DescriptionType` | `description`
    `protected String` | `id`
    `protected XsdIntegerType` | `initialPoolSize`
    `protected IsolationLevelType` | `isolationLevel`
    `protected XsdIntegerType` | `loginTimeout`
    `protected XsdIntegerType` | `maxIdleTime`
    `protected XsdIntegerType` | `maxPoolSize`
    `protected XsdIntegerType` | `maxStatements`
    `protected XsdIntegerType` | `minPoolSize`
    `protected JndiNameType` | `name`
    `protected String` | `password`
    `protected XsdIntegerType` | `portNumber`
    `protected List<PropertyType>` | `property`
    `protected String` | `serverName`
    `protected XsdBooleanType` | `transactional`
    `protected JdbcUrlType` | `url`
    `protected String` | `user`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FullyQualifiedClassType` | `getClassName()` Ruft den Wert der className-Eigenschaft ab.
    `String` | `getDatabaseName()` Ruft den Wert der databaseName-Eigenschaft ab.
    `DescriptionType` | `getDescription()` Ruft den Wert der description-Eigenschaft ab.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `XsdIntegerType` | `getInitialPoolSize()` Ruft den Wert der initialPoolSize-Eigenschaft ab.
    `IsolationLevelType` | `getIsolationLevel()` Ruft den Wert der isolationLevel-Eigenschaft ab.
    `XsdIntegerType` | `getLoginTimeout()` Ruft den Wert der loginTimeout-Eigenschaft ab.
    `XsdIntegerType` | `getMaxIdleTime()` Ruft den Wert der maxIdleTime-Eigenschaft ab.
    `XsdIntegerType` | `getMaxPoolSize()` Ruft den Wert der maxPoolSize-Eigenschaft ab.
    `XsdIntegerType` | `getMaxStatements()` Ruft den Wert der maxStatements-Eigenschaft ab.
    `XsdIntegerType` | `getMinPoolSize()` Ruft den Wert der minPoolSize-Eigenschaft ab.
    `JndiNameType` | `getName()` Ruft den Wert der name-Eigenschaft ab.
    `String` | `getPassword()` Ruft den Wert der password-Eigenschaft ab.
    `XsdIntegerType` | `getPortNumber()` Ruft den Wert der portNumber-Eigenschaft ab.
    `List<PropertyType>` | `getProperty()` Gets the value of the property property.
    `String` | `getServerName()` Ruft den Wert der serverName-Eigenschaft ab.
    `XsdBooleanType` | `getTransactional()` Ruft den Wert der transactional-Eigenschaft ab.
    `JdbcUrlType` | `getUrl()` Ruft den Wert der url-Eigenschaft ab.
    `String` | `getUser()` Ruft den Wert der user-Eigenschaft ab.
    `void` | `setClassName(FullyQualifiedClassType value)` Legt den Wert der className-Eigenschaft fest.
    `void` | `setDatabaseName(String value)` Legt den Wert der databaseName-Eigenschaft fest.
    `void` | `setDescription(DescriptionType value)` Legt den Wert der description-Eigenschaft fest.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setInitialPoolSize(XsdIntegerType value)` Legt den Wert der initialPoolSize-Eigenschaft fest.
    `void` | `setIsolationLevel(IsolationLevelType value)` Legt den Wert der isolationLevel-Eigenschaft fest.
    `void` | `setLoginTimeout(XsdIntegerType value)` Legt den Wert der loginTimeout-Eigenschaft fest.
    `void` | `setMaxIdleTime(XsdIntegerType value)` Legt den Wert der maxIdleTime-Eigenschaft fest.
    `void` | `setMaxPoolSize(XsdIntegerType value)` Legt den Wert der maxPoolSize-Eigenschaft fest.
    `void` | `setMaxStatements(XsdIntegerType value)` Legt den Wert der maxStatements-Eigenschaft fest.
    `void` | `setMinPoolSize(XsdIntegerType value)` Legt den Wert der minPoolSize-Eigenschaft fest.
    `void` | `setName(JndiNameType value)` Legt den Wert der name-Eigenschaft fest.
    `void` | `setPassword(String value)` Legt den Wert der password-Eigenschaft fest.
    `void` | `setPortNumber(XsdIntegerType value)` Legt den Wert der portNumber-Eigenschaft fest.
    `void` | `setServerName(String value)` Legt den Wert der serverName-Eigenschaft fest.
    `void` | `setTransactional(XsdBooleanType value)` Legt den Wert der transactional-Eigenschaft fest.
    `void` | `setUrl(JdbcUrlType value)` Legt den Wert der url-Eigenschaft fest.
    `void` | `setUser(String value)` Legt den Wert der user-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### description

          protected DescriptionType description

    - #### name

          protected JndiNameType name

    - #### className

          protected FullyQualifiedClassType className

    - #### serverName

          protected String serverName

    - #### portNumber

          protected XsdIntegerType portNumber

    - #### databaseName

          protected String databaseName

    - #### url

          protected JdbcUrlType url

    - #### user

          protected String user

    - #### password

          protected String password

    - #### property

          protected List<PropertyType> property

    - #### loginTimeout

          protected XsdIntegerType loginTimeout

    - #### transactional

          protected XsdBooleanType transactional

    - #### isolationLevel

          protected IsolationLevelType isolationLevel

    - #### initialPoolSize

          protected XsdIntegerType initialPoolSize

    - #### maxPoolSize

          protected XsdIntegerType maxPoolSize

    - #### minPoolSize

          protected XsdIntegerType minPoolSize

    - #### maxIdleTime

          protected XsdIntegerType maxIdleTime

    - #### maxStatements

          protected XsdIntegerType maxStatements

    - #### id

          protected String id

  - ### Constructor Detail

    - #### DataSourceType

          public DataSourceType()

  - ### Method Detail

    - #### getDescription

          public DescriptionType getDescription()

      Ruft den Wert der description-Eigenschaft ab.
      Returns:
        possible object is `DescriptionType`

    - #### setDescription

          public void setDescription(DescriptionType value)

      Legt den Wert der description-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `DescriptionType`

    - #### getName

          public JndiNameType getName()

      Ruft den Wert der name-Eigenschaft ab.
      Returns:
        possible object is `JndiNameType`

    - #### setName

          public void setName(JndiNameType value)

      Legt den Wert der name-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `JndiNameType`

    - #### getClassName

          public FullyQualifiedClassType getClassName()

      Ruft den Wert der className-Eigenschaft ab.
      Returns:
        possible object is `FullyQualifiedClassType`

    - #### setClassName

          public void setClassName(FullyQualifiedClassType value)

      Legt den Wert der className-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `FullyQualifiedClassType`

    - #### getServerName

          public String getServerName()

      Ruft den Wert der serverName-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setServerName

          public void setServerName(String value)

      Legt den Wert der serverName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getPortNumber

          public XsdIntegerType getPortNumber()

      Ruft den Wert der portNumber-Eigenschaft ab.
      Returns:
        possible object is `XsdIntegerType`

    - #### setPortNumber

          public void setPortNumber(XsdIntegerType value)

      Legt den Wert der portNumber-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdIntegerType`

    - #### getDatabaseName

          public String getDatabaseName()

      Ruft den Wert der databaseName-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setDatabaseName

          public void setDatabaseName(String value)

      Legt den Wert der databaseName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getUrl

          public JdbcUrlType getUrl()

      Ruft den Wert der url-Eigenschaft ab.
      Returns:
        possible object is `JdbcUrlType`

    - #### setUrl

          public void setUrl(JdbcUrlType value)

      Legt den Wert der url-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `JdbcUrlType`

    - #### getUser

          public String getUser()

      Ruft den Wert der user-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setUser

          public void setUser(String value)

      Legt den Wert der user-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getPassword

          public String getPassword()

      Ruft den Wert der password-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setPassword

          public void setPassword(String value)

      Legt den Wert der password-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getProperty

          public List<PropertyType> getProperty()

      Gets the value of the property property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the property property.

      For example, to add a new item, do as follows:

              getProperty().add(newItem);

      Objects of the following type(s) are allowed in the list `PropertyType`

    - #### getLoginTimeout

          public XsdIntegerType getLoginTimeout()

      Ruft den Wert der loginTimeout-Eigenschaft ab.
      Returns:
        possible object is `XsdIntegerType`

    - #### setLoginTimeout

          public void setLoginTimeout(XsdIntegerType value)

      Legt den Wert der loginTimeout-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdIntegerType`

    - #### getTransactional

          public XsdBooleanType getTransactional()

      Ruft den Wert der transactional-Eigenschaft ab.
      Returns:
        possible object is `XsdBooleanType`

    - #### setTransactional

          public void setTransactional(XsdBooleanType value)

      Legt den Wert der transactional-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdBooleanType`

    - #### getIsolationLevel

          public IsolationLevelType getIsolationLevel()

      Ruft den Wert der isolationLevel-Eigenschaft ab.
      Returns:
        possible object is `IsolationLevelType`

    - #### setIsolationLevel

          public void setIsolationLevel(IsolationLevelType value)

      Legt den Wert der isolationLevel-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `IsolationLevelType`

    - #### getInitialPoolSize

          public XsdIntegerType getInitialPoolSize()

      Ruft den Wert der initialPoolSize-Eigenschaft ab.
      Returns:
        possible object is `XsdIntegerType`

    - #### setInitialPoolSize

          public void setInitialPoolSize(XsdIntegerType value)

      Legt den Wert der initialPoolSize-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdIntegerType`

    - #### getMaxPoolSize

          public XsdIntegerType getMaxPoolSize()

      Ruft den Wert der maxPoolSize-Eigenschaft ab.
      Returns:
        possible object is `XsdIntegerType`

    - #### setMaxPoolSize

          public void setMaxPoolSize(XsdIntegerType value)

      Legt den Wert der maxPoolSize-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdIntegerType`

    - #### getMinPoolSize

          public XsdIntegerType getMinPoolSize()

      Ruft den Wert der minPoolSize-Eigenschaft ab.
      Returns:
        possible object is `XsdIntegerType`

    - #### setMinPoolSize

          public void setMinPoolSize(XsdIntegerType value)

      Legt den Wert der minPoolSize-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdIntegerType`

    - #### getMaxIdleTime

          public XsdIntegerType getMaxIdleTime()

      Ruft den Wert der maxIdleTime-Eigenschaft ab.
      Returns:
        possible object is `XsdIntegerType`

    - #### setMaxIdleTime

          public void setMaxIdleTime(XsdIntegerType value)

      Legt den Wert der maxIdleTime-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdIntegerType`

    - #### getMaxStatements

          public XsdIntegerType getMaxStatements()

      Ruft den Wert der maxStatements-Eigenschaft ab.
      Returns:
        possible object is `XsdIntegerType`

    - #### setMaxStatements

          public void setMaxStatements(XsdIntegerType value)

      Legt den Wert der maxStatements-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdIntegerType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.